{
  options,
  config,
  pkgs,
  lib,
  inputs,
  ...
}: let
  palette = (inputs.nix-colors.colorschemes.${builtins.toString config.colorscheme.name}).palette;
in {
  programs.waybar = {
    enable = true;
    systemd.enable = true;
    settings.mainBar = builtins.fromJSON (builtins.readFile ./config.json);
  };

  xdg.configFile."waybar/style.css".source = ./style.css;
  xdg.configFile."waybar/theme.css".text = ''
    /*
    bg - background
    fg - foreground
    */

    /* Main Colors */
    @define-color background        #${palette.base00};
    @define-color foreground        #${palette.base05};

    /* Workspace Button Colors */
    @define-color hover-bg          #${palette.base01};
    @define-color hover-fg          #${palette.base05};
    @define-color active-bg         #${palette.base02};
    @define-color active-fg         #${palette.base0A};
    @define-color urgent-bg         #${palette.base08};
    @define-color urgent-fg         #${palette.base00};
  '';
}
